MCP tools
list_apps
Apps installed on the device.
| REST operation | listApps (GET /v1/devices/{deviceId}/apps) |
| Needs a device | yes |
| Read only | yes |
| Profiles | full |
Parameters
Section titled “Parameters”| Name | Required | Type | Goes to | What it is |
|---|---|---|---|---|
device_id |
yes | string | path deviceId |
Stable device id such as ios:00008120-001A2B3C4D5E6F70 or android:R58M123ABC. |
lease |
no | string | header Silan-Lease |
Lease token when the device is claimed. |
include_system |
no | boolean | query includeSystem |
Example call
Section titled “Example call”list_apps({ device_id: "ios:00008120-001A2B3C4D5E6F70" })